%define upstream_name    Tapper-Schema
%define upstream_version 5.0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Database schemas for Tapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBD::mysql)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Core)
BuildRequires: perl(DBIx::Class::InflateColumn::DateTime)
BuildRequires: perl(DBIx::Class::InflateColumn::Object::Enum)
BuildRequires: perl(DBIx::Class::ResultSet)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(DBIx::Class::TimeStamp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Pg)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::DOM) >= 0.130.0
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::TAP::Harness)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Variable::Magic)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(common::sense)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Database schemas for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 5.0.11-2.mga8
+ Revision: 1537650
- Mageia 8 Mass Rebuild

* Tue Nov 05 2019 tv <tv> 5.0.11-1.mga8
+ Revision: 1458085
- update to 5.0.11

* Mon Nov 04 2019 tv <tv> 5.0.10-1.mga8
+ Revision: 1457562
- update to 5.0.10

* Thu Sep 20 2018 umeabot <umeabot> 5.0.9-2.mga7
+ Revision: 1286239
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 5.0.9-1.mga7
+ Revision: 1134076
- update to 5.0.9

* Sun Jun 19 2016 pterjan <pterjan> 5.0.6-2.mga6
+ Revision: 1033755
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 5.0.6-1.mga6
+ Revision: 1007309
- update to 5.0.6

* Mon Feb 08 2016 umeabot <umeabot> 4.1.3-5.mga6
+ Revision: 947766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.3-4.mga5
+ Revision: 739802
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.1.3-2.mga4
+ Revision: 528497
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 4.1.3-1.mga4
+ Revision: 445729
- Add missing BR
- New version 4.1.2
+ jquelin <jquelin>
- update to 4.1.3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 4.1.1-2.mga3
+ Revision: 326956
- adding missing buildrequires:
- adding missing buildrequires:

* Sat Oct 27 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 310737
- Missing BR
- Add desc and summary
- imported package perl-Tapper-Schema


* Fri Oct 26 2012 cpan2dist 4.1.1-1mga
- initial mageia release, generated with cpan2dist
